
Foreman - Bug #3905

API v2 method delete in reports has wrong route in apidocs

12/18/2013 11:18 AM - Martin Bacovsky

Status: Closed   

Priority: Urgent   

Assignee: Martin Bacovsky   

Category: API   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

      api :DELETE, "/ptables/:id/", "Delete a report." 

 Which causes hammer to delete ptables instead of reports.

Related issues:

Related to Hammer CLI - Bug #3901: Report delete command fails, it tries to d... Closed 12/18/2013

Associated revisions

Revision 2e2e0c6b - 12/18/2013 12:08 PM - Martin Bacovsky

fixed #3905 - wrong route in apidoc for reports delete (API v2)

History

#1 - 12/18/2013 11:32 AM - Martin Bacovsky

- Description updated

- Status changed from New to Assigned

#2 - 12/18/2013 11:41 AM - Martin Bacovsky

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1101

#3 - 12/18/2013 12:08 PM - Dominic Cleal

- translation missing: en.field_release set to 2

#4 - 12/18/2013 05:31 PM - Martin Bacovsky

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2e2e0c6bebefa94f96df8287d0361c8d8686e68b.

#5 - 01/09/2014 01:52 PM - Dominic Cleal

- Related to Bug #3901: Report delete command fails, it tries to delete a ptable added
